View Issue Details

IDProjectCategoryView StatusLast Update
0000140Far Manager 1.7xCommand Line/Executepublic2007-07-16 16:07
Reporterdayosh_unicodeAssigned Toalexy 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.70 
Target VersionFixed in Version1.71 
Summary0000140: Портит ANSI символы при вызове команд.
DescriptionНапример при вызове меню из аттача получаем следующее:
(в 1705 этого небыло)
Additional Information***END OF DESCRIPTION***
iервая строка название патча в свободном формате.
Tледуiие строки необязательное сообение.
+сли Tv пишете по-русски, то пользуйтесь кодировкой Win-1251.
TagsNo tags attached.
Build

Activities

2006-04-20 16:29

 

farmenu.ini (464 bytes)

alexy

2006-04-20 20:21

administrator   bugnote:0000148

Ну menu должно быть в OEM - фар другое не ожидает.

dayosh_unicode

2006-04-21 14:38

reporter   bugnote:0000149

Меню и есть в OEM.
Проблема в получаемых файлах...

alexy

2006-04-26 06:53

administrator   bugnote:0000151

Ну как OEM - в нём всё в win-1251.

2006-04-26 16:00

 

farmenu.zip (416 bytes)

dayosh_unicode

2006-04-26 16:02

reporter   bugnote:0000154

Странно. Попробуй farmenu.zip.
После F1 - OEM.
После ECHO - ANSI.
OS: WinXP-SP2-Corp+Rus.

alexy

2006-04-26 16:41

administrator   bugnote:0000155

Ещё раз говорю, твой текст в меню он в win кодировке. Фар при выполнение этих команд переводит его в WIN чтоб обработать %vars% а потом назад в OEM чтоб запустить и весь твой текст слетает нафиг. Как решить это в 1.7х я не знаю.

alexy

2006-04-26 16:57

administrator   bugnote:0000156

Могу предложить тебе написать это всё в батнике и вызывать батник из меню.

alexy

2006-04-26 17:52

administrator   bugnote:0000157

Плохой ты человек, спать не даёшь спокойно :)

Вот короче поизвращялся я немного:

http://farmanager.com/farbugs/farexecoem2char.rar

Фишка такая - тока куски которые реально %var% перекодирываются в ANSI и назад не затрагивая остальной текст.

dayosh_unicode

2006-04-27 15:13

reporter   bugnote:0000158

Rulez;)
Почему под Win98 всё перекодируется как OEM->ANSI?
Написать ф-ю, которая раскрывает %var% без перекодировки туда-сюда всей строки?

alexy

2006-04-27 17:52

administrator   bugnote:0000159

Win98 тут не причём. Просто WinAPI для раскрытия %vars% работает в ANSI и в этом вся загвоздка.

Issue History

Date Modified Username Field Change
2006-04-20 16:29 dayosh_unicode New Issue
2006-04-20 16:29 dayosh_unicode Status new => assigned
2006-04-20 16:29 dayosh_unicode Assigned To => alexy
2006-04-20 16:29 dayosh_unicode File Added: farmenu.ini
2006-04-20 20:21 alexy Note Added: 0000148
2006-04-21 14:38 dayosh_unicode Note Added: 0000149
2006-04-26 06:53 alexy Note Added: 0000151
2006-04-26 16:00 dayosh_unicode File Added: farmenu.zip
2006-04-26 16:02 dayosh_unicode Note Added: 0000154
2006-04-26 16:41 alexy Note Added: 0000155
2006-04-26 16:57 alexy Note Added: 0000156
2006-04-26 17:52 alexy Note Added: 0000157
2006-04-27 15:13 dayosh_unicode Note Added: 0000158
2006-04-27 17:52 alexy Note Added: 0000159
2006-04-27 19:22 alexy Status assigned => resolved
2006-04-27 19:22 alexy Fixed in Version => 1.71
2006-04-27 19:22 alexy Resolution open => fixed
2007-07-16 16:07 alexy Status resolved => closed